import * as React from 'react';
import { Container, Menu, Dropdown } from 'semantic-ui-react';
import { TopBar } from '../TopBar';
import { LogoBar } from './LogoBar';
import { TitleBar } from './TitleBar';

export class LeftMenu extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  render() {
    return (
      <Container fluid>
        <Menu secondary vertical fluid>
          <Menu.Item name='Home' />

          <Dropdown item text='Monitoring'>
            <Dropdown.Menu>
              <Dropdown.Header>Monitoring</Dropdown.Header>
              <Dropdown.Item>Small</Dropdown.Item>
              <Dropdown.Item>Probe</Dropdown.Item>
              <Dropdown.Item>Sensors</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>

          <Dropdown item text='Infrastructure'>
            <Dropdown.Menu>
              <Dropdown.Header>Infrastructure</Dropdown.Header>
              <Dropdown.Item>Maps</Dropdown.Item>
              <Dropdown.Item>Targets</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>

          <Menu.Item name='Dashboard' />
          <Menu.Item name='Metrics' />
          <Menu.Item name='Alerts' />
          <Menu.Item name='History' />
          <Dropdown item text='Custom'>
            <Dropdown.Menu>
              <Dropdown.Header>Custom</Dropdown.Header>
              <Dropdown.Item href='#/test2'> SignUp </Dropdown.Item>
              <Dropdown.Item href='#/test3'>SignIn</Dropdown.Item>
              <Dropdown.Item href='#/test4'> PWChange </Dropdown.Item>
              <Dropdown.Item href='#/test5'>ProbeDown</Dropdown.Item>
              <Dropdown.Item href='#/test14'> Insanity </Dropdown.Item>
              <Dropdown.Item href='#/test6'>DiscoveryDetails</Dropdown.Item>
              <Dropdown.Item href='#/test7'>Tree</Dropdown.Item>
            </Dropdown.Menu>
          </Dropdown>
          <Menu.Item name='Settings' />
        </Menu>
      </Container>
      // <TopBar onSidebar={this.props.onSidebar}/>
    );
  }
}



