import * as React from 'react';
import { Grid, Container, Breadcrumb, Header, Menu, Input, Segment } from 'semantic-ui-react';

export class TitleBar extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  handleMenu(idx: number) {
    alert(idx);
  }

  render() {
    let subMenus = [
      {
        "name": "Menu1",
      },
      {
        "name": "Menu2",
      },
      {
        "name": "Menu3",
      },
    ];
    return (
      <Grid>
        <Grid.Row>
          <Grid.Column width='3'>
            <Header as='h3'>Page Title<Header.Subheader>
              <Breadcrumb>
                <Breadcrumb.Section link>Home</Breadcrumb.Section>
                <Breadcrumb.Divider />
                <Breadcrumb.Section link>Monitoring</Breadcrumb.Section>
                <Breadcrumb.Divider />
                <Breadcrumb.Section active>Probes</Breadcrumb.Section>
              </Breadcrumb>
            </Header.Subheader>
            </Header>
          </Grid.Column>
          <Grid.Column width='13'>
            <Menu secondary borderless>
              {subMenus.map((menu: any, index: number) => (
                <Menu.Item name={menu.name} key={index} onClick={this.handleMenu.bind(this, index)}/>
              ))}
            </Menu>
          </Grid.Column>
        </Grid.Row>
      </Grid>
    );
  }
}



